Loading...
Searching...
No Matches
seqan3::sam_file_input_options< sequence_legal_alphabet > Struct Template Reference
IO » SAM File

The options type defines various option members that influence the behaviour of all or some formats. More...

`#include <seqan3/io/sam_file/input_options.hpp>`

Inheritance diagram for seqan3::sam_file_input_options< sequence_legal_alphabet >:
[legend]

## Detailed Description

template<typename sequence_legal_alphabet>
struct seqan3::sam_file_input_options< sequence_legal_alphabet >

The options type defines various option members that influence the behaviour of all or some formats.

Note
  As of now, there are no specific options for the SAM format. This class may be used in the future for possible SAM parsing extensions.

Remarks
  For a complete overview, take a look at SAM File

The documentation for this struct was generated from the following file:

- sam_file/input_options.hpp

Hide me